org.apache.ignite.internal

## Class QueryMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.QueryMXBeanImpl

All Implemented Interfaces:
  QueryMXBean

    public class QueryMXBeanImpl
    extends Object
    implements QueryMXBean

QueryMXBean implementation.

### Field Summary

Fields
`static String` `EXPECTED_GLOBAL_QRY_ID_FORMAT` Global query id format.

### Constructor Summary

Constructors
Constructor and Description
`QueryMXBeanImpl(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancelContinuous(String originNodeId, String routineId)` Kills continuous query by the identifier.
`void` `cancelContinuous(UUID originNodeId, UUID routineId)` Kills continuous query by the identifier.
`void` `cancelScan(String originNodeId, String cacheName, Long id)` Kills scan query by the identifiers.
`void` `cancelScan(UUID originNodeId, String cacheName, long id)` Executes scan query cancel on all cluster nodes.
`void` `cancelSQL(String id)` Kills SQL query by the identifier.
`void` `cancelSQL(UUID originNodeId, long qryId)` Executes scan query cancel on all cluster nodes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXPECTED_GLOBAL_QRY_ID_FORMAT

    public static final String EXPECTED_GLOBAL_QRY_ID_FORMAT

Global query id format.

See Also:
  Constant Field Values

### Constructor Detail

#### QueryMXBeanImpl

    public QueryMXBeanImpl(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### cancelContinuous

    public void cancelContinuous(String originNodeId,
                                 String routineId)

Kills continuous query by the identifier.

Specified by:
  `cancelContinuous` in interface `QueryMXBean`
Parameters:
  `originNodeId` - ID of the node that is CQ initiator.
  `routineId` - Continuous query id.
See Also:
  `ContinuousQueryView.routineId()`

#### cancelSQL

    public void cancelSQL(String id)

Kills SQL query by the identifier.

Specified by:
  `cancelSQL` in interface `QueryMXBean`
Parameters:
  `id` - SQL query id.
See Also:
  `SqlQueryView.queryId()`

#### cancelScan

    public void cancelScan(String originNodeId,
                           String cacheName,
                           Long id)

Kills scan query by the identifiers.

Specified by:
  `cancelScan` in interface `QueryMXBean`
Parameters:
  `originNodeId` - Originating node id.
  `cacheName` - Cache name.
  `id` - Scan query id.
See Also:
  `ScanQueryView.originNodeId()`, `ScanQueryView.cacheName()`, `ScanQueryView.queryId()`

#### cancelSQL

    public void cancelSQL(UUID originNodeId,
                          long qryId)

Executes scan query cancel on all cluster nodes.

Parameters:
  `originNodeId` - Originating node id.

#### cancelScan

    public void cancelScan(UUID originNodeId,
                           String cacheName,
                           long id)

Executes scan query cancel on all cluster nodes.

Parameters:
  `originNodeId` - Originating node id.
  `cacheName` - Cache name.
  `id` - Scan query id.

#### cancelContinuous

    public void cancelContinuous(UUID originNodeId,
                                 UUID routineId)

Kills continuous query by the identifier.

Parameters:
  `originNodeId` - Originating node id.
  `routineId` - Routine id.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022